Describe a piece of evidence
curl --request GET \
--url https://api.app.chainloop.dev/v1/evidence/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/evidence/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/evidence/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"workflow_id": "workflow_id",
"workflow_name": "workflow_name",
"uploaded_to_cas": true,
"subject_version": "subject_version",
"annotations": {
"key": "annotations"
},
"created_at": "2000-01-23T04:56:07.000Z",
"project_name": "project_name",
"latest_in_project": true,
"policies_total": 2,
"project_version_name": "project_version_name",
"project_id": "project_id",
"ingestion_finished_at": "2000-01-23T04:56:07.000Z",
"digest": "digest",
"id": "id",
"workflow_run_id": "workflow_run_id",
"policies_passed": 5,
"kind": "kind",
"latest_in_project_version": true,
"ingestion_started_at": "2000-01-23T04:56:07.000Z",
"organization_name": "organization_name",
"project_version_id": "project_version_id",
"ingestion_has_error": true,
"policy_status_summary": {
"violated": 5,
"total": 0,
"has_gates": true,
"passed": 6,
"status": "RUN_POLICY_STATUS_UNSPECIFIED",
"skipped": 1
},
"organization_id": "organization_id",
"name": "name",
"subject_name": "subject_name"
}
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 7,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Describe a piece of evidence
Get detailed information about a specific piece of evidence by its unique identifier.
GET
/
v1
/
evidence
/
{id}
Describe a piece of evidence
Authorizations
Bearer token for authentication
Path Parameters
UUID of the evidence to describe
Response
A successful response.
Response for the Describe method
It represents an item in the list of evidence
Show child attributes
Show child attributes
Example:
{
"workflow_id": "workflow_id",
"workflow_name": "workflow_name",
"uploaded_to_cas": true,
"subject_version": "subject_version",
"annotations": { "key": "annotations" },
"created_at": "2000-01-23T04:56:07.000Z",
"project_name": "project_name",
"latest_in_project": true,
"policies_total": 2,
"project_version_name": "project_version_name",
"project_id": "project_id",
"ingestion_finished_at": "2000-01-23T04:56:07.000Z",
"digest": "digest",
"id": "id",
"workflow_run_id": "workflow_run_id",
"policies_passed": 5,
"kind": "kind",
"latest_in_project_version": true,
"ingestion_started_at": "2000-01-23T04:56:07.000Z",
"organization_name": "organization_name",
"project_version_id": "project_version_id",
"ingestion_has_error": true,
"policy_status_summary": {
"violated": 5,
"total": 0,
"has_gates": true,
"passed": 6,
"status": "RUN_POLICY_STATUS_UNSPECIFIED",
"skipped": 1
},
"organization_id": "organization_id",
"name": "name",
"subject_name": "subject_name"
}
⌘I
